package function.builtin.special;

import function.*;
import sexpression.*;

@FunctionNames({ "DEFINE-MACRO" })
public class DEFINE_MACRO extends Define {

    public DEFINE_MACRO() {
        super("DEFINE-MACRO");
    }

    @Override
    protected UserDefinedFunction createFunction(SExpression functionName, Cons lambdaList, Cons functionBody) {
        return new UserDefinedSpecialFunction(functionName.toString(), lambdaList, functionBody);
    }

}
